QGIS Application - Bug report #11951
Python error while using tools with output to a folder instead of a file
2015-01-05 08:54 AM - Filipe Dias

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20159
Description

- Right click on "split vector layer" and select "batch processing".
- Add a few shapefiles

- Write down the name of the field for each of them

- Click on output directory

I'm using the latest QGIS Processing code on QGIS 2.6.1.

An error has occured while executing Python code:

Traceback (most recent call last):
File "/usr/share/qgis/python/plugins/processing/gui/BatchOutputSelectionPanel.py", line 68, in showSelectionDialog
filefilter = self.output.getFileFilter(self.alg)
AttributeError: 'OutputDirectory’ object has no attribute 'getFileFilter'

Python version:
2.7.6 (default, Mar 22 2014, 23:03:41)
[GCC 4.8.2]

QGIS version:
2.6.1-Brighton Brighton, exported

Python path: [/usr/share/qgis/python/plugins/processing’, '/home/fd/.qgis2/python/plugins/processinglwgeomprovider',
'’Thome/fd/.qgis2/python/plugins/LecoS', '/usr/share/qgis/python’, u'/home/fd/.qgis2/python’, u'’home/fd/.qgis2/python/plugins’,
'/usr/share/qgis/python/plugins', ‘/usr/lib/python2.7', '/usr/lib/python2.7/plat-x86_64-linux-gnu', '/usr/lib/python2.7/lib-tk’,
"fusr/lib/python2.7/lib-old'", '/ust/lib/python2.7/lib-dynload', '/usr/local/lib/python2.7/dist-packages’,
'/usr/lib/python2.7/dist-packages’, '/usr/lib/python2.7/dist-packages/PlLcompat’, ‘/usr/lib/python2.7/dist-packages/gtk-2.0',
'fusr/lib/pymodules/python2.7', '/usr/lib/python2.7/dist-packages/ubuntu-sso-client',
'fusr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode’, '/usr/share/qgis/python/plugins/fTools/tools',
'’home/fd/.qgis2/python/plugins/MetaSearch/ext-libs', '/media/fd/Dados1/Filipe Trabalho/PhD/Tarefa4/SIG']

Associated revisions

Revision ¢9682e55 - 2015-02-20 05:18 AM - Martin Dobias

Fix #11951 - support for output directory in batch processing

History
#1 - 2015-01-05 08:55 AM - Filipe Dias
- Affected QGIS version changed from 2.6.0 to master

#2 - 2015-02-03 03:41 AM - George Rodrigues da Cunha Silva

I'll try to reproduce and fix this.

Although I'm not on the "assigned to" list, let me give this a try.

#3 - 2015-02-03 07:40 AM - Giovanni Manghi
- Subject changed from Python error while using "split vector layer" in batch processing to Python error while using tools with output to a folder instead
of a file

any tools that outputs to a folder instead of a file will give that error in batch mode. It used to work in older Processing releases.

#4 - 2015-02-19 08:21 PM - Martin Dobias
- Status changed from Open to Closed

Fixed in changeset commit:"c9682e550b7d34e28¢75fa04d843d33902234ad3".
